# Author:: Gerhard Spitzlsperger
# EMAIL and WWW:: ruby@gs68.de, www.gs68.de
# Copyright:: Copyright (c) 2003 Gerhard Spitzlsperger. All rights reserved.
# License:: LGPL see file LICENSE.
# Version 0.1

require 'GS_AreaDialog'
require 'GS_FramePlotCanvas'

require 'fox'
require 'fox/colors'

include Fox

# A little dialog box to use in our tests
class GS_CanvasAsDialog < FXDialogBox
  attr_reader :canvas

  def initialize(owner)
    # Invoke base class initialize function first
    super(owner, "Test of CanvasDialog Box", 
        DECOR_TITLE|DECOR_BORDER, 0, 0, 800, 600,0,0,0,0,0,0)
    
    # Bottom buttons
    buttons = FXHorizontalFrame.new(self,
      LAYOUT_SIDE_BOTTOM|FRAME_NONE|LAYOUT_FILL_X|PACK_UNIFORM_WIDTH,
      0, 0, 0, 0, 40, 40, 20, 20)

    # Accept
    FXButton.new(buttons, "&Accept", nil, self, ID_ACCEPT,
      FRAME_RAISED|FRAME_THICK|LAYOUT_RIGHT|LAYOUT_CENTER_Y)
  
    # Cancel
    FXButton.new(buttons, "&Cancel", nil, self, ID_CANCEL,
      FRAME_RAISED|FRAME_THICK|LAYOUT_RIGHT|LAYOUT_CENTER_Y)
      
    # Contents
    contents = FXHorizontalFrame.new(self,
      LAYOUT_SIDE_TOP|FRAME_NONE|LAYOUT_FILL_X|LAYOUT_FILL_Y|PACK_UNIFORM_WIDTH)
    
    # initial world coordinates for the drawing canvas
    x_min = -1.0
    x_max = 1.0
    y_min = -1.0   
    y_max = 1.0
    
    # Drawing canvas
    @canvas = GS_FramePlotCanvas.new(contents, nil, 0, (FRAME_SUNKEN|FRAME_THICK|
      LAYOUT_FILL_X|LAYOUT_FILL_Y|LAYOUT_TOP|LAYOUT_LEFT), 
      [x_min, y_min, x_max, y_max], "linlin" )
    @canvas.connect(SEL_PAINT) { |sender, sel, event|
      @canvas.draw
    }  
  end	
end

